Package org.bukkit.inventory

# Interface FurnaceInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

public interface FurnaceInventory extends Inventory
Interface to the inventory of a Furnace.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canSmelt(@Nullable ItemStack item)`
Check if an item can be smelted in this furnace container
`@Nullable ItemStack`
`getFuel()`
Get the current fuel.
`@Nullable Furnace`
`getHolder()`
Gets the block or entity belonging to the open inventory
`@Nullable ItemStack`
`getResult()`
Get the current item in the result slot.
`@Nullable ItemStack`
`getSmelting()`
Get the item currently smelting.
`boolean`
`isFuel(@Nullable ItemStack item)`
Check if an item can be used as a fuel source in this furnace container
`void`
`setFuel(@Nullable ItemStack stack)`
Set the current fuel.
`void`
`setResult(@Nullable ItemStack stack)`
Set the current item in the result slot.
`void`
`setSmelting(@Nullable ItemStack stack)`
Set the item currently smelting.

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getResult

@Nullable @Nullable ItemStack getResult()
Get the current item in the result slot.

Returns:
  The item

### getFuel

@Nullable @Nullable ItemStack getFuel()
Get the current fuel.

Returns:
  The item

### getSmelting

@Nullable @Nullable ItemStack getSmelting()
Get the item currently smelting.

Returns:
  The item

### setFuel

void setFuel(@Nullable @Nullable ItemStack stack)
Set the current fuel.

Parameters:
  `stack` - The item

### setResult

void setResult(@Nullable @Nullable ItemStack stack)
Set the current item in the result slot.

Parameters:
  `stack` - The item

### setSmelting

void setSmelting(@Nullable @Nullable ItemStack stack)
Set the item currently smelting.

Parameters:
  `stack` - The item

### isFuel

boolean isFuel(@Nullable @Nullable ItemStack item)
Check if an item can be used as a fuel source in this furnace container

Parameters:
  `item` - Item to check
Returns:
  True if a valid fuel source

### canSmelt

boolean canSmelt(@Nullable @Nullable ItemStack item)
Check if an item can be smelted in this furnace container

Parameters:
  `item` - Item to check
Returns:
  True if can be smelt

### getHolder

@Nullable @Nullable Furnace getHolder()
Description copied from interface: `Inventory`
Gets the block or entity belonging to the open inventory

Specified by:
  `getHolder` in interface `Inventory`
Returns:
  The holder of the inventory; null if it has no holder.